<!--
  Generated template for the AssignmembertotaskPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->


<ion-content padding>

	<div class="close-modal-btn-container">
		<button ion-button (click)="closeThisPage()" class="close-modal-btn">
			<ion-icon name="close" class="close-modal-icon"></ion-icon><span class="close-modal-close-title">&nbsp;Close</span>
		</button>
	</div>

	<div class="task-assign-member-content-outer-container">
		<div class="task-assign-member-section-container">
			<p class="task-title">{{ task.taskName }}</p>
			<p class="task-section"><span class="task-section-title">In section: </span>{{ taskSection.taskSectionTitle }}</p>
		</div>
		<div class="task-assign-member-other-content-container">
			<div class="task-assign-member-header-title-container">
				<p class="task-assign-member-header-title">Assign Member To Task</p>
			</div>
			<div class="task-assign-member-list-container">
				<ion-list no-lines>
					<div *ngFor="let allGroupMem of groupMemList$">
						<div *ngFor="let allUser of userList$">
							<ion-item *ngIf="allUser.key == allGroupMem.key && isAdmin" class="assign-member-list">
								<ion-avatar item-left>
							        <img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
							    </ion-avatar>
							    <ion-label>{{ allUser.displayName }}</ion-label>
								<ion-checkbox (click)="assignMemToTask(allGroupMem.key, assignedMem, allUser.displayName)" [checked]="checking(allGroupMem.key)" item-right></ion-checkbox>
							</ion-item>
							<ion-item *ngIf="allUser.key == allGroupMem.key && !isAdmin" class="assign-member-list">
								<ion-avatar item-left>
							        <img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
							    </ion-avatar>
							    <ion-label>{{ allUser.displayName }}</ion-label>
							    <ion-icon name="radio-button-off" item-right *ngIf="!checking(allGroupMem.key)"></ion-icon>
								<ion-icon name="checkmark-circle" item-right color="primary" *ngIf="checking(allGroupMem.key)"></ion-icon>
							</ion-item>
						</div>
					</div>
				</ion-list>
			</div>
		</div>
	</div>

</ion-content>
